use serenity::builder::CreateCommand;
use serenity::model::application::ResolvedOption;

pub async fn run(options: &[ResolvedOption<'_>]) -> String {
    r#"
    A Discord bot that gathers information about NFL games, teams, conferences, and more!
    Designed, developed, and maintained by Wyatt J. Miller
    Copyright 2024, all rights reserved
    Got a feature request? Found a bug? Wanna punch me in the face? Email ballbot@wyattjmiller.com
    "#
    .to_string()
}

pub fn register() -> CreateCommand {
    CreateCommand::new("about").description("Get information about this bot")
}
